<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
 <head>
  <title>MM-263: Turkey Lake Service Plaza</title>
  <meta name="Generator" content="EditPlus">
  <meta name="Author" content="">
  <meta name="Keywords" content="">
  <meta name="Description" content="">
 </head>
 <body><prev>
<font color = "FFFFFF">
<B><center>MM-263: Turkey Lake Service Plaza</center></B>
<br>
Turkey Lake Service Plaza at Mile Marker 263 - This plaza is located near Ocoee, Florida and services the northbound and southbound travel lanes.<br>
<br>
<B>Contact Info:</B><br>
<I>
Service Station: 407-291-6329<br>
Food Court: 407-218-6981<br>
</I>
<br>

<B>Gas station & Convenience Store: </B><br>
<I>Shell Gasoline<br></I>
<br>

<B>Fuel Types:</B><br>
<I>
Gasoline<br>
Deisel<br>
E 85<br>
</I>
<br>

<b>Coffee/Food/Restaurant/Snack:</b><br>
<I>
Nathans<br>
</I>
</font>
</prev></body>
</html>
